Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.nip.async.generic
Class MsgQuery

    java.lang.Object
      be.cin.nip.async.generic.Query
          be.cin.nip.async.generic.MsgQuery

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:02:09+01:00",
               comments="JAXB RI v2.2.11")
    public class MsgQuery

extends Query
implements Serializable

Java class for MsgQuery complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MsgQuery">
       <complexContent>
         <extension base="{urn:be:cin:nip:async:generic}Query">
           <sequence>
             <element name="MessageNames" type="{urn:be:cin:types:v1}StringList"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MsgQuery()`

Method Summary
`List<String>` | `getMessageNames()` Gets the value of the messageNames property.

Methods inherited from class be.cin.nip.async.generic.Query
`getMax, isInclude, setInclude, setMax`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MsgQuery

    public MsgQuery()

Method Detail

### getMessageNames

    public List<String> getMessageNames()

  Gets the value of the messageNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messageNames property.

  For example, to add a new item, do as follows:

          getMessageNames().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.